Save Skill Collection Version
curl --request POST \
--url https://api.promptlayer.com/api/public/v2/skill-collections/{identifier}/versions \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"file_updates": [],
"moves": [],
"deletes": [],
"commit_message": "<string>",
"release_label": "<string>"
}
'import requests
url = "https://api.promptlayer.com/api/public/v2/skill-collections/{identifier}/versions"
payload = {
"file_updates": [],
"moves": [],
"deletes": [],
"commit_message": "<string>",
"release_label": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
file_updates: [],
moves: [],
deletes: [],
commit_message: '<string>',
release_label: '<string>'
})
};
fetch('https://api.promptlayer.com/api/public/v2/skill-collections/{identifier}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skill_collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": 123,
"number": 123,
"root_path_at_version": "<string>",
"provider": "<string>",
"file_paths": [
"<string>"
],
"commit_message": "<string>",
"release_label": "<string>",
"archived": true,
"created_by": 123,
"user_email": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Skill Collections
Save Skill Collection Version
POST
/
api
/
public
/
v2
/
skill-collections
/
{identifier}
/
versions
Save Skill Collection Version
Create a new saved version of a skill collection.
Request formats
Useapplication/json to send file_updates, moves, deletes, commit_message, and release_label directly.
Use multipart/form-data to upload a ZIP archive plus metadata encoded as a JSON string in metadata or json.Authorizations
Path Parameters
Skill collection UUID, name, or root_path.
Body
application/jsonmultipart/form-data
Was this page helpful?
⌘I

